Subject: bug#57583: closed (Re: bug#57583: Guix cannot resume after hibernation)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Dec 2022 01:16:03 +0000

Your bug report

#57583: Guix cannot resume after hibernation

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57583: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57583
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57583: Guix cannot resume after hibernation
From: Mekeor Melire <[email-masked]>
To: [email-masked]
Cc: Josselin Poiret <[email-masked]>, [email-masked], Ludovic Courtès <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>, Yusuf Talha <[email-masked]>, [email-masked], [email-masked]
Date: Sat, 10 Dec 2022 01:11:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

2022-09-05 15:05 [email-masked]:

> Jack, Yusuf, Ludo',
>
> Yusuf: you could try pulling, reconfiguring, hibernating, and resuming, if
> you're brave-ish.

I also use an X200 (but not with Libreboot, yet). I just tried out
hibernation (I didn't even know I had to be brave for that :D) and it
worked like a charm. So, I'll attempt to close this bug now. Feel free
to re-open, if you're still experiencing the bug, Yusuf.

> Ludovic Courtès 写道：
> > I believe this is fixed by this: […] The patch in question fell
> > through the cracks
>
> Pushed as ec16f88522041dc285a35705ff9ee95672b78143, thanks Jack!

Subject: Guix cannot resume after hibernation
From: Yusuf Talha <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Sun, 4 Sep 2022 18:37:42 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.  I'm using Guix System on my Librebooted Thinkpad X200 laptop.  Suspending to RAM works perfectly.  The problem is, when I run "loginctl hibernate" it writes to the swap partition and powers off successfully.  But when I try to boot up and resume from swap, it just ignores it and starts up like it wasn't hibernated before.  And also I have to run "sudo swapon /dev/mapper/matrix-swapvol" to re-enable my swap partition.  swapon says:
"swapon: /dev/mapper/matrix-swapvol: software suspend data detected. Rewriting the swap signature."

I have added "resume=/dev/mapper/matrix-swapvol" to the kernel-arguments list in config.scm.
In addition to that, I see these messages on the dmesg log (I have no idea what they mean):

[    0.068782] PM: hibernation: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.068788] PM: hibernation: Registered nosave memory: [mem 0x000a0000-0x000fffff]
[    0.068791] PM: hibernation: Registered nosave memory: [mem 0x7d74a000-0x7d7fffff]
[    0.068794] PM: hibernation: Registered nosave memory: [mem 0x7d800000-0x93ffffff]
[    0.068796] PM: hibernation: Registered nosave memory: [mem 0x94000000-0xefffffff]
[    0.068798] PM: hibernation: Registered nosave memory: [mem 0xf0000000-0xf3ffffff]
[    0.068800] PM: hibernation: Registered nosave memory: [mem 0xf4000000-0xffffffff]
I haven't encountered this problem on any other distros.  You probably realized that I encrypted my disk.  Hibernation wasn't working while I was using Guix without encryption a few months ago either.  So I don't think LUKS is the problem here.

I would be glad if you can help me with that.  Thanks in advance.